<?php

/**
 * @file
 * This file contains the Rules hooks and functions necessary to make the order
 * related entity, conditions, events, and actions work.
 */
 
/**
 * Implements hook_rules_action_info().
 */
function uc_location_rules_action_info() {
  $order_arg = array(
    'type' => 'uc_order',
    'label' => t('Order'),
  );

  $actions['uc_location_save_location'] = array(
    'label' => t("Save the billing / shipping addresses to the user's account locations"), 
    'group' => t('Order'), 
    'base' => 'uc_location_action_save_location',
    'parameter' => array(
      'order' => $order_arg
    ), 
  );
  
  return $actions;
}
 