<?php

/**
 * @file
 * Default Rules configurations.
 */

/**
 * Implements hook_default_rules_configuration().
 */
function uc_location_default_rules_configuration() {
  // Setup a default configuration for saving order address information to user's profile location(s).
  $rule = rules_reaction_rule();
  $rule->label = t('Save locations to user account');
  $rule->active = TRUE;
  $rule->event('uc_checkout_complete')
    ->action('uc_location_save_location', array('order:select' => 'order'));

  $configs['uc_checkout_save_location'] = $rule;

  return $configs;
}
